Bug 1258262 - weak Diffie-Hellman keys
weak Diffie-Hellman keys
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: Pound (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 12:33 EDT by battery.staple
Modified: 2015-09-23 09:25 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description battery.staple 2015-08-30 12:33:02 EDT
The current upstream source used (2.7d) only uses up to 1024 bit Diffie-Helman keys. I don't believe this is considered strong any more. The final release of 2.7 supports 2048 bit - I believe it's the default. Can the upstream source code in this package be updated from the pre-release version (2.7d) to the final release of 2.7?

Please see:
https://weakdh.org/

Pound Changelog:

https://fossies.org/diffs/Pound/2.6_vs_2.7/CHANGELOG-diff.html
Comment 1 neil 2015-08-31 17:52:21 EDT
It would be great to see a version bump on this, 2.7 final also adds ECDHE class cipher support (which 2.7d does not have).

With no ECDHE ciphers and only DHE (with weak parameters) ciphers available in 2.7d, the remaining list of viable ciphers is very short, none of which feature forward secrecy.
Comment 2 Fedora Update System 2015-09-01 10:54:25 EDT
Pound-2.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14779
Comment 3 Fedora Update System 2015-09-01 10:54:42 EDT
Pound-2.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14780
Comment 4 Fedora Update System 2015-09-01 10:54:59 EDT
Pound-2.7-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14781
Comment 5 Fedora Update System 2015-09-01 10:55:12 EDT
Pound-2.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7887
Comment 6 Fedora Update System 2015-09-01 15:49:17 EDT
Pound-2.7-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update Pound'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14781
Comment 7 Fedora Update System 2015-09-01 16:22:10 EDT
Pound-2.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update Pound'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14779
Comment 8 Fedora Update System 2015-09-02 04:49:03 EDT
Pound-2.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update Pound'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7887
Comment 9 Fedora Update System 2015-09-02 12:21:22 EDT
Pound-2.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update Pound'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14780
Comment 10 Fedora Update System 2015-09-18 14:59:11 EDT
Pound-2.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-22 18:54:27 EDT
Pound-2.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-22 20:21:10 EDT
Pound-2.7-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-23 09:25:10 EDT
Pound-2.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.